package com.bonus.core.marketing.v2.rule.price.handler.deductionratio.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

@ApiModel("计价规则详情-比例扣费")
public class PriceDeductionRatioDTO {
   @ApiModelProperty("个人钱包扣费比例")
   private BigDecimal walletRatio;
   @ApiModelProperty("补贴钱包扣费比例")
   private BigDecimal subsidyRatio;
   @ApiModelProperty("补贴上限金额")
   private BigDecimal subsidyMaxAmount;

   public String toString() {
      StringBuilder stringBuilder = new StringBuilder();
      stringBuilder.append("个人钱包扣费比例：").append(this.getWalletRatio()).append("<br/>补贴钱包扣费比例：").append(this.getSubsidyRatio()).append("<br/>当餐补贴钱包上限金额：").append(Objects.isNull(this.getSubsidyMaxAmount()) ? "无" : this.getSubsidyMaxAmount()).append("<br/>");
      return stringBuilder.toString();
   }

   public BigDecimal getWalletRatio() {
      return this.walletRatio;
   }

   public BigDecimal getSubsidyRatio() {
      return this.subsidyRatio;
   }

   public BigDecimal getSubsidyMaxAmount() {
      return this.subsidyMaxAmount;
   }

   public void setWalletRatio(final BigDecimal walletRatio) {
      this.walletRatio = walletRatio;
   }

   public void setSubsidyRatio(final BigDecimal subsidyRatio) {
      this.subsidyRatio = subsidyRatio;
   }

   public void setSubsidyMaxAmount(final BigDecimal subsidyMaxAmount) {
      this.subsidyMaxAmount = subsidyMaxAmount;
   }

}
